import * as z from 'zod';

export const LoginResC = z.object({
    username: z.string(),
    password: z.string(),
});
export type LoginRes = z.infer<typeof LoginResC>;

export const LoginSessionC = z.object({
    token_type: z.string(),
    expires_in: z.number(),
    scope: z.string(),
    access_token: z.string(),
    refresh_token: z.string(),
});
export type LoginSession = z.infer<typeof LoginSessionC>;

